<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.poifs.filesystem (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.poifs.filesystem (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/eventfilesystem/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/macros/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.poifs.filesystem</h1>
    <div class="docSummary">
        <div class="block">filesystem package maps OLE 2 Compound document files to a more familiar filesystem
            interface.
        </div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/BATManaged.html"
                                            title="interface in org.apache.poi.poifs.filesystem">BATManaged</a></td>
                    <td class="colLast">
                        <div class="block">This interface defines behaviors for objects managed by the Block
                            Allocation Table (BAT).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                            title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></td>
                    <td class="colLast">
                        <div class="block">This interface defines methods specific to Directory objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                            title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a></td>
                    <td class="colLast">
                        <div class="block">This interface defines methods specific to Document objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                            title="interface in org.apache.poi.poifs.filesystem">Entry</a></td>
                    <td class="colLast">
                        <div class="block">This interface provides access to an object managed by a Filesystem
                            instance.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/POIFSWriterListener.html"
                            title="interface in org.apache.poi.poifs.filesystem">POIFSWriterListener</a></td>
                    <td class="colLast">
                        <div class="block">Interface POIFSWriterListener</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/BlockStore.html"
                                            title="class in org.apache.poi.poifs.filesystem">BlockStore</a></td>
                    <td class="colLast">
                        <div class="block">This abstract class describes a way to read, store, chain
                            and free a series of blocks (be they Big or Small ones)
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                            title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a></td>
                    <td class="colLast">
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/DocumentDescriptor.html"
                            title="class in org.apache.poi.poifs.filesystem">DocumentDescriptor</a></td>
                    <td class="colLast">
                        <div class="block">Class DocumentDescriptor</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/DocumentFactoryHelper.html"
                            title="class in org.apache.poi.poifs.filesystem">DocumentFactoryHelper</a></td>
                    <td class="colLast">
                        <div class="block">A small base class for the various factories, e.g.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/DocumentInputStream.html"
                            title="class in org.apache.poi.poifs.filesystem">DocumentInputStream</a></td>
                    <td class="colLast">
                        <div class="block">This class provides methods to read a DocumentEntry managed by a
                            <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                               title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                            instance.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html"
                                            title="class in org.apache.poi.poifs.filesystem">DocumentNode</a></td>
                    <td class="colLast">
                        <div class="block">Simple implementation of DocumentEntry for OPOIFS</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/DocumentOutputStream.html"
                            title="class in org.apache.poi.poifs.filesystem">DocumentOutputStream</a></td>
                    <td class="colLast">
                        <div class="block">This class provides methods to write a DocumentEntry managed by a
                            <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                               title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                            instance.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html"
                                            title="class in org.apache.poi.poifs.filesystem">EntryNode</a></td>
                    <td class="colLast">
                        <div class="block">Abstract implementation of Entry

                            Extending classes should override isDocument() or isDirectory(), as
                            appropriate

                            Extending classes must override isDeleteOK()
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html"
                                            title="class in org.apache.poi.poifs.filesystem">EntryUtils</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html"
                            title="class in org.apache.poi.poifs.filesystem">FilteringDirectoryNode</a></td>
                    <td class="colLast">
                        <div class="block">A DirectoryEntry filter, which exposes another
                            DirectoryEntry less certain parts.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html"
                                            title="class in org.apache.poi.poifs.filesystem">Ole10Native</a></td>
                    <td class="colLast">
                        <div class="block">Represents an Ole10Native record which is wrapped around certain binary
                            files being embedded in OLE2 documents.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html"
                                            title="class in org.apache.poi.poifs.filesystem">POIFSDocument</a></td>
                    <td class="colLast">
                        <div class="block">This class manages a document in the NIO POIFS filesystem.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocumentPath.html"
                                            title="class in org.apache.poi.poifs.filesystem">POIFSDocumentPath</a></td>
                    <td class="colLast">
                        <div class="block">Class POIFSDocumentPath</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                            title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a></td>
                    <td class="colLast">
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSMiniStore.html"
                                            title="class in org.apache.poi.poifs.filesystem">POIFSMiniStore</a></td>
                    <td class="colLast">
                        <div class="block">This class handles the MiniStream (small block store)
                            in the NIO case for <a
                                    href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                    title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSStream.html"
                                            title="class in org.apache.poi.poifs.filesystem">POIFSStream</a></td>
                    <td class="colLast">
                        <div class="block">This handles reading and writing a stream within a
                            <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                               title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSWriterEvent.html"
                                            title="class in org.apache.poi.poifs.filesystem">POIFSWriterEvent</a></td>
                    <td class="colLast">
                        <div class="block">Class POIFSWriterEvent</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
                                            title="enum in org.apache.poi.poifs.filesystem">FileMagic</a></td>
                    <td class="colLast">
                        <div class="block">The file magic number, i.e.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Exception Summary table, listing exceptions, and an explanation">
                <caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Exception</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/NotOLE2FileException.html"
                            title="class in org.apache.poi.poifs.filesystem">NotOLE2FileException</a></td>
                    <td class="colLast">
                        <div class="block">This exception is thrown when we try to open a file that doesn't
                            seem to actually be an OLE2 file after all
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/OfficeXmlFileException.html"
                            title="class in org.apache.poi.poifs.filesystem">OfficeXmlFileException</a></td>
                    <td class="colLast">
                        <div class="block">This exception is thrown when we try to open a file that's actually
                            an Office 2007+ XML file, rather than an OLE2 file (which is what
                            POIFS works with)
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
                            title="class in org.apache.poi.poifs.filesystem">Ole10NativeException</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.poifs.filesystem Description">Package org.apache.poi.poifs.filesystem
        Description</h2>
    <div class="block">filesystem package maps OLE 2 Compound document files to a more familiar filesystem interface.
    </div>
    <dl>
        <dt><span class="seeLabel">See Also:</span></dt>
        <dd><a href="../../../../../org/apache/poi/poifs/eventfilesystem/package-summary.html"><code>org.apache.poi.poifs.eventfilesystem</code></a>
        </dd>
    </dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/eventfilesystem/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/macros/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
